#
# spec file for package resinsight
#

Name:           resinsight
Version:        2018.04.22
Release:        0
Summary:        ResInsight - the 3D reservoir viewer and post processor
License:        GPL-3.0+
Group:          Science
Url:            http://opm-project.org
Source0:        %{name}-%{version}.tar.gz
Patch0:		01_static_ert.patch
BuildRequires:  gcc gcc-c++ hdf5-devel
%if 0%{?rhel}
BuildRequires:  lapack-devel octave-devel qt qt-devel
BuildRequires:  %{?el6:cmake28} %{!?el6:cmake} devtoolset-6
%else
BuildRequires:  lapack-devel octave-devel qt4 qt4-devel
BuildRequires:  cmake
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ResInsight is a 3D viewer and post processing tool for reservoir models. 
It has been co-developed by Statoil and Ceetron with the aim to provide
a versatile tool for professionals who need to visualize and process
reservoir models. 

%package octave
Summary:        ResInsight plugins for Octave
Group:          Scientific
Requires:       %{name} = %{version}

%description octave
This package contains the ResInsight octave plugins.

%prep
%setup -q
%patch0 -p1

%build
%if 0%{?rhel}
scl enable devtoolset-6 bash
%{?el6:cmake28} %{!?el6:cmake} -DRESINSIGHT_PRIVATE_INSTALL=0 -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_INSTALL_DOCDIR=share/doc/%{name}-%{version} -DBUILD_SHARED_LIBS=0 -DCMAKE_CXX_COMPILER=/opt/rh/devtoolset-6/root/usr/bin/g++ -DCMAKE_C_COMPILER=/opt/rh/devtoolset-6/root/usr/bin/gcc -DCMAKE_Fortran_COMPILER=/opt/rh/devtoolset-6/root/usr/bin/gfortran -DINSTALL_ERT=0
%else
cmake -DRESINSIGHT_PRIVATE_INSTALL=0 -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_INSTALL_DOCDIR=share/doc/%{name}-%{version} -DBUILD_SHARED_LIBS=0 -DINSTALL_ERT=0
%endif
make VERBOSE=1

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf %{buildroot}

%post -n resinsight -p /sbin/ldconfig

%postun -n resinsight -p /sbin/ldconfig

%files
%{_bindir}/*
%{_datadir}/*

%files octave
%{_libdir}/*
